Bug 171418 - [MAINTAINER UPDATE] devel/tortoisehg2
Summary: [MAINTAINER UPDATE] devel/tortoisehg2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-07 18:40 UTC by Gleb Popov
Modified: 2012-09-10 14:00 UTC (History)
0 users

See Also:


Attachments
file.diff (6.69 KB, patch)
2012-09-07 18:40 UTC, Gleb Popov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Popov freebsd_committer 2012-09-07 18:40:02 UTC

Fix: Patch attached with submission follows:
Comment 1 Michael Scheidell freebsd_committer 2012-09-09 12:13:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-09-10 13:56:33 UTC
Author: scheidell
Date: Mon Sep 10 12:56:16 2012
New Revision: 304033
URL: http://svn.freebsd.org/changeset/ports/304033

Log:
  - Update to 2.5
  - Update to OptionsNG
  - Remove extra Makefile #Header information
  
  PR:		ports/171418
  Submitted by:	arrowdodger <6yearold@gmail.com> (maintainer)

Modified:
  head/devel/tortoisehg2/Makefile
  head/devel/tortoisehg2/distinfo
  head/devel/tortoisehg2/files/patch-setup.py
  head/devel/tortoisehg2/pkg-plist

Modified: head/devel/tortoisehg2/Makefile
==============================================================================
--- head/devel/tortoisehg2/Makefile	Mon Sep 10 12:38:29 2012	(r304032)
+++ head/devel/tortoisehg2/Makefile	Mon Sep 10 12:56:16 2012	(r304033)
@@ -1,12 +1,7 @@
-# New ports collection makefile for:	tortoisehg2
-# Date created:		7 May 2011
-# Whom:			arrowdodger <6yearold@gmail.com>
-#
 # $FreeBSD$
-#
 
 PORTNAME=	tortoisehg
-PORTVERSION=	2.4.2
+PORTVERSION=	2.5
 CATEGORIES=	devel
 MASTER_SITES=	http://cdn.bitbucket.org/tortoisehg/targz/downloads/
 
@@ -25,8 +20,8 @@ RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}qt4-
 		hg:${PORTSDIR}/devel/mercurial \
 		${PYTHON_SITELIBDIR}/iniparse/ini.py:${PORTSDIR}/devel/py-iniparse \
 		pygmentize:${PORTSDIR}/textproc/py-pygments
-
-OPTIONS=	NAUTILUS "Install TortoiseHG Nautilus extension" off
+OPTIONS_DEFINE=	NAUTILUS
+NAUTILUS_DESC=	Install TortoiseHG Nautilus extension
 
 INSTALLS_ICONS=	yes
 
@@ -38,32 +33,33 @@ SUB_FILES=	pkg-message
 
 .include <bsd.port.options.mk>
 
-.if defined(WITHOUT_NLS)
-PLIST_SUB+=	NLS="@comment "
-.else
+.if ${PORT_OPTIONS:MNLS}
 PLIST_SUB+=	NLS=""
 USE_GETTEXT=	yes
+.else
+PLIST_SUB+=	NLS="@comment "
 .endif
 
-.if defined(WITHOUT_NAUTILUS)
-PLIST_SUB+=	NAUTILUS="@comment "
-.else
+.if ${PORT_OPTIONS:MNAUTILUS}
 PLIST_SUB+=	NAUTILUS=""
+.else
+PLIST_SUB+=	NAUTILUS="@comment "
 .endif
 
 post-patch:
 	@${REINPLACE_CMD} -e '/_path/ s|/usr|${PREFIX}|' ${WRKSRC}/${PYSETUP}
 	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|' ${WRKSRC}/contrib/tortoisehg.desktop
 	@${REINPLACE_CMD} -e 's|%%LOCALBASE%%|${LOCALBASE}|' ${WRKSRC}/thg
-.if defined(WITHOUT_NLS)
-	@${REINPLACE_CMD} -e 's/^%%NLS%%/# /' ${WRKSRC}/${PYSETUP}
-.else
+.if ${PORT_OPTIONS:MNLS}
 	@${REINPLACE_CMD} -e 's/^%%NLS%%//' ${WRKSRC}/${PYSETUP}
-.endif
-.if defined(WITHOUT_NAUTILUS)
-	@${REINPLACE_CMD} -e 's/^%%NAUTILUS%%/# /' ${WRKSRC}/${PYSETUP}
 .else
+	@${REINPLACE_CMD} -e 's/^%%NLS%%/# /' ${WRKSRC}/${PYSETUP}
+.endif
+.if ${PORT_OPTIONS:MNAUTILUS}
 	@${REINPLACE_CMD} -e 's/^%%NAUTILUS%%//' ${WRKSRC}/${PYSETUP}
+	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|' ${WRKSRC}/${PYSETUP}
+.else
+	@${REINPLACE_CMD} -e 's/^%%NAUTILUS%%/# /' ${WRKSRC}/${PYSETUP}
 .endif
 
 post-install:

Modified: head/devel/tortoisehg2/distinfo
==============================================================================
--- head/devel/tortoisehg2/distinfo	Mon Sep 10 12:38:29 2012	(r304032)
+++ head/devel/tortoisehg2/distinfo	Mon Sep 10 12:56:16 2012	(r304033)
@@ -1,2 +1,2 @@
-SHA256 (tortoisehg-2.4.2.tar.gz) = d30963453a9d618b04dfbfebda1641cb4742133829c25ff60735236f1399108a
-SIZE (tortoisehg-2.4.2.tar.gz) = 9018020
+SHA256 (tortoisehg-2.5.tar.gz) = 8fb1fdd90517e9c24c36f62053eea862aea55e43ee28b1b898848798538b1abd
+SIZE (tortoisehg-2.5.tar.gz) = 9767802

Modified: head/devel/tortoisehg2/files/patch-setup.py
==============================================================================
--- head/devel/tortoisehg2/files/patch-setup.py	Mon Sep 10 12:38:29 2012	(r304032)
+++ head/devel/tortoisehg2/files/patch-setup.py	Mon Sep 10 12:56:16 2012	(r304033)
@@ -1,6 +1,6 @@
---- setup.py_	2011-05-02 07:06:56.000000000 +0400
-+++ setup.py	2011-05-25 15:54:34.833312978 +0400
-@@ -283,7 +283,7 @@
+--- setup_.py	2012-09-05 19:36:36.000000000 +0400
++++ setup.py	2012-09-07 10:16:47.929179472 +0400
+@@ -280,7 +280,7 @@
  class build(_build_orig):
      sub_commands = [
          ('build_qt', None),
@@ -9,12 +9,8 @@
          ] + _build_orig.sub_commands
  
  class clean(_clean_orig):
-@@ -299,10 +299,10 @@
- cmdclass = {
-         'build': build,
-         'build_qt': build_qt ,
--        'build_mo': build_mo ,
-+%%NLS%%        'build_mo': build_mo ,
+@@ -299,7 +299,7 @@
+         'build_mo': build_mo ,
          'clean': clean,
          'clean_local': clean_local,
 -        'update_pot': update_pot ,
@@ -22,19 +18,19 @@
      }
  
  def setup_windows(version):
-@@ -407,11 +407,11 @@
+@@ -418,11 +418,11 @@
      _data_files = [(os.path.join('share/pixmaps/tortoisehg', root),
          [os.path.join(root, file_) for file_ in files])
          for root, dirs, files in os.walk('icons')]
 -    _data_files += [(os.path.join('share', root),
 -        [os.path.join(root, file_) for file_ in files])
 -        for root, dirs, files in os.walk('locale')]
--    _data_files += [('lib/nautilus/extensions-2.0/python',
+-    _data_files += [('/usr/share/nautilus-python/extensions/',
 -                     ['contrib/nautilus-thg.py'])]
 +%%NLS%%    _data_files += [(os.path.join('share', root),
 +%%NLS%%        [os.path.join(root, file_) for file_ in files])
 +%%NLS%%        for root, dirs, files in os.walk('locale')]
-+%%NAUTILUS%%    _data_files += [('lib/nautilus/extensions-2.0/python',
++%%NAUTILUS%%    _data_files += [('%%PREFIX%%/lib/nautilus/extensions-2.0/python',
 +%%NAUTILUS%%                     ['contrib/nautilus-thg.py'])]
  
      # Create a config.py.  Distributions will need to supply their own

Modified: head/devel/tortoisehg2/pkg-plist
==============================================================================
--- head/devel/tortoisehg2/pkg-plist	Mon Sep 10 12:38:29 2012	(r304032)
+++ head/devel/tortoisehg2/pkg-plist	Mon Sep 10 12:56:16 2012	(r304033)
@@ -51,6 +51,9 @@ bin/thg
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/cslist.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/cslist.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/cslist.pyo
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/customtools.py
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/customtools.pyc
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/customtools.pyo
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/decorators.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/decorators.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/decorators.pyo
@@ -60,6 +63,9 @@ bin/thg
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/docklog.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/docklog.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/docklog.pyo
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/filectxactions.py
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/filectxactions.pyc
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/filectxactions.pyo
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/filedata.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/filedata.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/filedata.pyo
@@ -78,6 +84,9 @@ bin/thg
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/fileview.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/fileview.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/fileview.pyo
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/graft.py
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/graft.pyc
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/graft.pyo
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/graph.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/graph.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/graph.pyo
@@ -336,9 +345,6 @@ bin/thg
 %%PYTHON_SITELIBDIR%%/tortoisehg/util/paths.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/util/paths.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/util/paths.pyo
-%%PYTHON_SITELIBDIR%%/tortoisehg/util/prej.py
-%%PYTHON_SITELIBDIR%%/tortoisehg/util/prej.pyc
-%%PYTHON_SITELIBDIR%%/tortoisehg/util/prej.pyo
 %%PYTHON_SITELIBDIR%%/tortoisehg/util/settings.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/util/settings.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/util/settings.pyo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Michael Scheidell freebsd_committer 2012-09-10 13:56:44 UTC
State Changed
From-To: open->closed

Committed. Thanks!